[gutsy] no sound on Dell Latitude D630/D830/Precision M4300/Vostro 1500/1700/Apple Aluminium iMac/Acer TM6292 pci id 8086:284b

Bug #131133 reported by stivani on 2007-08-08
236
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned
Gutsy
Undecided
Unassigned
linux-backports-modules-2.6.22 (Ubuntu)
Medium
Unassigned
Gutsy
Undecided
MINKU
linux-source-2.6.22 (Ubuntu)
Undecided
Unassigned
Gutsy
Undecided
Unassigned

Bug Description

I have no sound in Gutsy x86_64. In Feisty, sound worked fine.

My laptop is a Dell Latitude D830.

Found in dmesg log file:

[ 23.252496] hda_intel: azx_get_response timeout, switching to polling mode...
[ 23.550621] ipw3945: Detected geography ABG (13 802.11bg channels, 23 802.11a channels)
[ 23.775888] hda_intel: azx_get_response timeout, switching to single_cmd mode...
[ 27.251189] hda_codec: No auto-config is available, default to model=ref
[ 30.733510] hda-intel: no codecs initialized

See
* https://wiki.ubuntu.com/Gutsy_Intel_HD_Audio_Controller

* https://wiki.ubuntu.com/LaptopTestingTeam/DellLatitudeD830#head-40a4e1f238b3be666f63c6efefdfd883caf0bf4d for a (temporary, must be repeated whenever the kernel package is updated) fix.

description: updated
description: updated

I confirm to have the same issue on my Latitude D830 in x86-32. Can't comment on Feisty as I haven't used it on it so far (and don't really plan to, either).

This is quite possibly the same bug as #122560 and even more likely, because the hardware is nearly identical #124590.

#126249 could be related, too.

I now tested Feisty on my D830, sound works on Feisty, so this clearly is a
regression.

Sound on the D830 be fixed by using a newer version of ALSA:
make sure you have all requirements to build the kernel installed (i.e.
sources, corresponding compilers etc)
get one of the packages from (for me, 18 Aug works)
ftp://ftp.suse.com/pub/projects/alsa/snapshot/driver/
untar it
in the newly create folder, run
./configure --with-cards=hda-intel
make
sudo make install

then reboot

I confirm that sound does not work with Gutsy Tribe-5 amd64 on my Dell D830

Martin Gros (m-gros) wrote :

lspci -vv:

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
        Subsystem: Dell Unknown device 01fe
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 21
        Region 0: Memory at fe9fc000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
                Address: 0000000000000000 Data: 0000
        Capabilities: [70] Express Unknown type IRQ 0
                Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s unlimited, L1 unlimited
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
                Device: MaxPayload 128 bytes, MaxReadReq 128 bytes
                Link: Supported Speed unknown, Width x0, ASPM unknown, Port 0
                Link: Latency L0s <64ns, L1 <1us
                Link: ASPM Disabled CommClk- ExtSynch-
                Link: Speed unknown, Width x0

Achim Bohnet (allee) wrote :

Ditto: no sound on D830 with Kubuntu Gutsy Tribe 5 i386.

There was one little change over this week end: Before I saw a PCM slider in kmixer.
Now after dist-upgrading the pkgs updated between Thursday and Monday night,
kmix shows a 'device not found'. icon (after reboot).

dbrobert (dr-edgeoftheearth) wrote :

Sound was fixed with linux-ubuntu-modules-2.6.22-10.23 but broken again when they reverted back to the stock snd-hda-intel code in linux-ubuntu-modules-2.6.22-10.24. On a semi-related note, that version also fixed the issue of the DVD-RW drive not being recognized. Alas that too was re-broken with linux-ubuntu-modules-2.6.22-10.24.

kubasa (beryk) wrote :

add gabriel-ambuehl
THX for your information :) on my D630 working sound very well!!! I' m testing kubuntu 2.6.22-10-generic #1
Intel Corporation 82801H with Sound Driver: 3.8.1a-98.07.06 (ALSA v1.0.15rc1 emulation code)
Many thanks!
erix

Achim Bohnet (allee) wrote :

Uhm, a fix is not yet declared a release goal for Gusty. A bit frightening as this intel
chips (AFAIU) are pretty common.

Any comments snd-hda-intel was removed?

This issue persists on 2.6.22-11

Hi, the problem is the same on Dell Precision M4300.
No audio is detected with Gutsy 32bits on 2.6.22-11-generic (can't remember how it was with Gutsy 64bits, i don't use it yet), or sometimes it is detected but no sound can be heard and only ONE "master" canal exists (this is not easily reproducible, most of the time no audio card is detected).
Downloading a recent alsa source, replacing alsa-source.tar.bz2 (from 'alsa-source' package) in /usr/src and recompiling "alsa" modules with "module-assistant" makes soundcard work great at next boot, and reliably (tested with 2.6.22-10-generic, 2.6.22-11-generic and 2.6.22-11-rt).

I have the same problem with 2.6.22-11 on a D830. Under the latest version of 2.6.22-10 I could get everything to work if in installed the kernel version of the snd-hda-intel module instead of the one from the linux-ubuntu-module package. However, in 2.6.22-11 the kernel version does not exist and so I can not get any sound to work in 2.6.22-11.

Todays kernel, namely
Linux host 2.6.22-11-generic #1 SMP Mon Sep 17 03:45:58 GMT 2007 i686
GNU/Linux
does not fix it either.

Confirmed on another Dell D830.

Suse patch works though.

For me even the newest Alsa-Drivers doesn't solved the problem on my D630.

I compiled the newest alsa modules, but everyhing is like before. There is still no sound device...

Emanuel: could you post your dmesg?

Download full text (6.7 KiB)

Yes I Can:
Full output of dmesg ist attached.

Output of "dmesg | grep snd":
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_ctl_add
[ 16.052000] snd_hda_intel: Unknown symbol snd_ctl_add
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_pcm_new
[ 16.052000] snd_hda_intel: Unknown symbol snd_pcm_new
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_pcm_limit_hw_rates
[ 16.052000] snd_hda_intel: Unknown symbol snd_pcm_limit_hw_rates
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_card_register
[ 16.052000] snd_hda_intel: Unknown symbol snd_card_register
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_card_free
[ 16.052000] snd_hda_intel: Unknown symbol snd_card_free
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_pcm_lib_preallocate_pages_for_all
[ 16.052000] snd_hda_intel: Unknown symbol snd_pcm_lib_preallocate_pages_for_all
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_card_proc_new
[ 16.052000] snd_hda_intel: Unknown symbol snd_card_proc_new
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_ctl_find_id
[ 16.052000] snd_hda_intel: Unknown symbol snd_ctl_find_id
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_ctl_new1
[ 16.052000] snd_hda_intel: Unknown symbol snd_ctl_new1
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_component_add
[ 16.052000] snd_hda_intel: Unknown symbol snd_component_add
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_card_new
[ 16.052000] snd_hda_intel: Unknown symbol snd_card_new
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_pcm_lib_malloc_pages
[ 16.052000] snd_hda_intel: Unknown symbol snd_pcm_lib_malloc_pages
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_pcm_lib_ioctl
[ 16.052000] snd_hda_intel: Unknown symbol snd_pcm_lib_ioctl
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_pcm_lib_free_pages
[ 16.052000] snd_hda_intel: Unknown symbol snd_pcm_lib_free_pages
[ 16.052000] snd_hda_intel: Unknown symbol snd_ctl_elem_read
[ 16.052000] snd_hda_intel: Unknown symbol snd_ctl_elem_write
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_pcm_set_ops
[ 16.052000] snd_hda_intel: Unknown symbol snd_pcm_set_ops
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_pcm_hw_constraint_list
[ 16.052000] snd_hda_intel: Unknown symbol snd_pcm_hw_constraint_list
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_device_new
[ 16.052000] snd_hda_intel: Unknown symbol snd_device_new
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_pcm_suspend_all
[ 16.052000] snd_hda_intel: Unknown symbol snd_pcm_suspend_all
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_card_disconnect
[ 16.052000] snd_hda_intel: Unknown symbol snd_card_disconnect
[ 16.052000] snd_hda_intel: disagrees about version of symbol snd_pcm_hw_constraint_integer
[ 16.052000] snd_hda_intel: Unknown symbol snd_pcm_hw_constraint_integer
[ 16.052000] snd_hda_intel: disagree...

Read more...

I can confirm that compiling the alsa-source from 9/18 does not work on a D830. Off the top of my head I dont remember if it was exactly the same but the dmesg output I got was very similar. (unknown symbol xxxxxx, disagrees about version of symbol xxxxx)

Try alsa-driver-1.0.15rc1, later versions sometimes worked for me but crashed
upon resume from suspend.

Dell Latitude D830, pci id 8086:284b rev 02. Works for me with this module, compiled from alsa-driver-hg20070808.tar.bz2 which i downloaded at ftp://ftp.suse.com/pub/projects/alsa/snapshot/driver/

ccs@lappie:~$ modinfo snd-hda-intel
filename: /lib/modules/2.6.22-11-generic/kernel/sound/pci/hda/snd-hda-intel.ko
description: Intel HDA driver
license: GPL
srcversion: A4432B22E47F568ED531734
alias: pci:v000010DEd00000777sv*sd*bc*sc*i*
alias: pci:v000010DEd00000776sv*sd*bc*sc*i*
alias: pci:v000010DEd00000775sv*sd*bc*sc*i*
alias: pci:v000010DEd00000774sv*sd*bc*sc*i*
alias: pci:v000010DEd000007FDsv*sd*bc*sc*i*
alias: pci:v000010DEd000007FCsv*sd*bc*sc*i*
alias: pci:v000010DEd0000055Dsv*sd*bc*sc*i*
alias: pci:v000010DEd0000055Csv*sd*bc*sc*i*
alias: pci:v000010DEd0000044Bsv*sd*bc*sc*i*
alias: pci:v000010DEd0000044Asv*sd*bc*sc*i*
alias: pci:v000010DEd000003F0sv*sd*bc*sc*i*
alias: pci:v000010DEd000003E4sv*sd*bc*sc*i*
alias: pci:v000010DEd00000371sv*sd*bc*sc*i*
alias: pci:v000010DEd0000026Csv*sd*bc*sc*i*
alias: pci:v000010B9d00005461sv*sd*bc*sc*i*
alias: pci:v00001039d00007502sv*sd*bc*sc*i*
alias: pci:v00001106d00003288sv*sd*bc*sc*i*
alias: pci:v00001002d0000AA00sv*sd*bc*sc*i*
alias: pci:v00001002d0000960Csv*sd*bc*sc*i*
alias: pci:v00001002d00007919sv*sd*bc*sc*i*
alias: pci:v00001002d0000793Bsv*sd*bc*sc*i*
alias: pci:v00001002d00004383sv*sd*bc*sc*i*
alias: pci:v00001002d0000437Bsv*sd*bc*sc*i*
alias: pci:v00008086d0000293Fsv*sd*bc*sc*i*
alias: pci:v00008086d0000293Esv*sd*bc*sc*i*
alias: pci:v00008086d0000284Bsv*sd*bc*sc*i*
alias: pci:v00008086d0000269Asv*sd*bc*sc*i*
alias: pci:v00008086d000027D8sv*sd*bc*sc*i*
alias: pci:v00008086d00002668sv*sd*bc*sc*i*
depends: snd-pcm,snd-page-alloc,snd,snd-hwdep,snd
vermagic: 2.6.22-11-generic SMP mod_unload 586
parm: index:Index value for Intel HD audio interface. (int)
parm: id:ID string for Intel HD audio interface. (charp)
parm: model:Use the given board model. (charp)
parm: position_fix:Fix DMA pointer (0 = auto, 1 = none, 2 = POSBUF, 3 = FIFO size). (int)
parm: probe_mask:Bitmask to probe codecs (default = -1). (int)
parm: single_cmd:Use single command to communicate with codecs (for debugging only). (bool)
parm: enable_msi:Enable Message Signaled Interrupt (MSI) (int)
parm: enable:bool

I added this at the bottom of /etc/modprobe.d/alsa-base:

options snd-hda-intel model=3stack

Please let me know if you need any more info/testing from me, I'll be happy to help.

Frank Lynch (frank-lynch) wrote :

+1 thanks to Carl-Christian Salvesen's tip above I was also able to get sound on my D830.
I wasn't able to find alsa-driver-hg20070808.tar.bz2 on the site that Carl-Christian pointed to, but I was able to find it (via google) at:
  http://www.gtlib.gatech.edu/pub/suse/projects/alsa/snapshot/driver/

Thank you Carl-Christian, I've finally got sound on my new laptop with Gutsy!

Nick Rossow (rossow) wrote :

Well after much stuffing around I got my D630 sound working.

I compile alsa version 1.0.15 rc2 with the following command ./configure --with-cards=hda-intel (then make and make install)
and then added the line

options snd-hda-intel model=3stack

to my /etc/modprobe.d/alsa-base

file.

thanks to Gabriel Ambuehl and Carl-Christian Salvesen for the tips.

Nick

Nick Rossow (rossow) wrote :

although i should point out...

the gnome applet for volume control is still crashing and the volume is very soft. even at full volume... but hey... at least it kinda works :)

> I compile alsa version 1.0.15 rc2 with the following command ./configure
> --with-cards=hda-intel (then make and make install) and then added the line
>
> options snd-hda-intel model=3stack
>
> to my /etc/modprobe.d/alsa-base

Can you suspend and resume with rc2? That only worked with rc1 for me (but I'm
on D830)... I didn't need modprobe config myself.

>I compile alsa version 1.0.15 rc2 with the following command ./configure --with-cards=hda-intel (then make and make install)
>and then added the line
>
>options snd-hda-intel model=3stack
>
>to my /etc/modprobe.d/alsa-base

I did this too, but it hasn't changed anything.

I also added
snd-hda-intel model=3stack
to my "/etc/modules" but nothing changed.

What do i did wrong?
Compiling ended without any errors...
And I will wonder if my D630 is different, then the one from Nick Rossow

On Thursday 20 September 2007 11:43:18 Emanuel Goscinski wrote:
> What do i did wrong?

Says something about version mismatch in your dmesg. Maybe you should try
reinstalling you kernel and recompile 1.0.15rc1?

Emanuel,
did you do the compile with the command ./configure --with-cards=hda-intel

sorry if its a typical help desk support question... but then i was until very recently working on a help desk

Nick

Tobias Heinemann (theine) wrote :

So is this bug likely to be fixed in Gutsy final? Recompiling ALSA is all fine and dandy, but having sound out of the box would actually be very nice.

Also, does the microphone work for anybody in here? Mine doesn't, but I only tried the drivers that come with the alsa-source package in Gusty. Those do make the speakers work, but not the microphone.

On Friday 21 September 2007 02:39:14 Tobias Heinemann wrote:
> Also, does the microphone work for anybody in here? Mine doesn't, but I
> only tried the drivers that come with the alsa-source package in Gusty.
> Those do make the speakers work, but not the microphone.

The internal microphone did work for me. As for external ones, I don't use
those.

"Emanuel,
did you do the compile with the command ./configure --with-cards=hda-intel"

Yes I did.

And I installed Gutsy completly new, to get a clean system. Then I updatet and compiled alsa, and added "options snd-hda-intel model=3stack" to alsa-base
but I still have no sound!
dmesg output is the same as I posted before.

the I compiled the daily snapshot of the alsa-driver.
But still nothing has changed....

Any other suggestions?

But I think this should not be solved with compiling alsa. Because my Feisty Kernel works very fine with the compiled 1.0.15rc2 alsa-driver, so it is definitly a regression in the kernel.

Download full text (33.3 KiB)

After reinstalling the kernel and all alsa related packages my dmesg looks like this:

dmesg
[ 0.000000] Linux version 2.6.22-11-generic (buildd@palmer) (gcc version 4.1.3 20070831 (prerelease) (Ubuntu 4.1.2-16ubuntu1)) #1 SMP Mon Sep 17 03:45:58 GMT 2007 (Ubuntu 2.6.22-11.33-generic)
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: 0000000000000000 - 000000000009f000 (usable)
[ 0.000000] BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 000000007fe80400 (usable)
[ 0.000000] BIOS-e820: 000000007fe80400 - 0000000080000000 (reserved)
[ 0.000000] BIOS-e820: 00000000f4000000 - 00000000f8000000 (reserved)
[ 0.000000] BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
[ 0.000000] BIOS-e820: 00000000fed18000 - 00000000fed1c000 (reserved)
[ 0.000000] BIOS-e820: 00000000fed20000 - 00000000fed90000 (reserved)
[ 0.000000] BIOS-e820: 00000000feda0000 - 00000000feda6000 (reserved)
[ 0.000000] BIOS-e820: 00000000fee00000 - 00000000fee10000 (reserved)
[ 0.000000] BIOS-e820: 00000000ffe00000 - 0000000100000000 (reserved)
[ 0.000000] 1150MB HIGHMEM available.
[ 0.000000] 896MB LOWMEM available.
[ 0.000000] Entering add_active_range(0, 0, 523904) 0 entries of 256 used
[ 0.000000] Zone PFN ranges:
[ 0.000000] DMA 0 -> 4096
[ 0.000000] Normal 4096 -> 229376
[ 0.000000] HighMem 229376 -> 523904
[ 0.000000] early_node_map[1] active PFN ranges
[ 0.000000] 0: 0 -> 523904
[ 0.000000] On node 0 totalpages: 523904
[ 0.000000] DMA zone: 32 pages used for memmap
[ 0.000000] DMA zone: 0 pages reserved
[ 0.000000] DMA zone: 4064 pages, LIFO batch:0
[ 0.000000] Normal zone: 1760 pages used for memmap
[ 0.000000] Normal zone: 223520 pages, LIFO batch:31
[ 0.000000] HighMem zone: 2301 pages used for memmap
[ 0.000000] HighMem zone: 292227 pages, LIFO batch:31
[ 0.000000] DMI 2.4 present.
[ 0.000000] ACPI: RSDP 000FBB00, 0024 (r2 DELL )
[ 0.000000] ACPI: XSDT 7FE81E00, 0064 (r1 DELL M08 27D70717 ASL 61)
[ 0.000000] ACPI: FACP 7FE81C9C, 00F4 (r4 DELL M08 27D70717 ASL 61)
[ 0.000000] ACPI: DSDT 7FE82400, 613B (r2 INT430 SYSFexxx 1001 INTL 20050624)
[ 0.000000] ACPI: FACS 7FE90C00, 0040
[ 0.000000] ACPI: HPET 7FE81F00, 0038 (r1 DELL M08 1 ASL 61)
[ 0.000000] ACPI: APIC 7FE82000, 0068 (r1 DELL M08 27D70717 ASL 47)
[ 0.000000] ACPI: ASF! 7FE81C00, 007E (r32 DELL M08 27D70717 ASL 61)
[ 0.000000] ACPI: MCFG 7FE81FC0, 003E (r16 DELL M08 27D70717 ASL 61)
[ 0.000000] ACPI: SLIC 7FE8209C, 0176 (r1 DELL M08 27D70717 ASL 61)
[ 0.000000] ACPI: TCPA 7FE82300, 0032 (r1 0 ASL 0)
[ 0.000000] ACPI: SSDT 7FE806EF, 04CC (r1 PmRef CpuPm 3000 INTL 20050624)
[ 0.000000] ACPI: PM-Timer IO Port: 0x1008
[ 0.000000] ACPI: Local APIC address 0xfee00000
[ 0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[ 0.000000] Processor #0 6:15 APIC version 20
[ 0.000000] A...

Problem persists in
Linux 2.6.22-12-generic #1 SMP Thu Sep 20 18:51:18 GMT 2007 i686

description: updated
Changed in linux-source-2.6.22:
assignee: ubuntu-audio → ubuntu-kernel-team
Changed in dell:
importance: Undecided → High
status: New → Confirmed
Changed in linux-source-2.6.22:
assignee: ubuntu-kernel-team → ubuntu-audio
Changed in dell:
importance: High → Critical
Achim Bohnet (allee) on 2007-10-08
description: updated
Changed in linux-source-2.6.22:
assignee: ubuntu-audio → ubuntu-kernel-team
status: Triaged → Fix Committed
Changed in linux-backports-modules-2.6.22:
status: Fix Committed → In Progress
Changed in dell:
status: Confirmed → Fix Released
Tim Gardner (timg-tpi) on 2007-10-24
Changed in linux-backports-modules-2.6.22:
status: In Progress → Fix Released
Changed in linux-source-2.6.22:
status: New → Invalid
210 comments hidden view all 290 comments

I have the same problem of no sound on Gutsy
Notebook computer: Gateway M4520GZ
(Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller [8086:24c5] (rev 03))
Dual booted with Windows XP - sound works fine on XP

After following the instructions in the document: Debugging Sound Problems
still no sound
Here is the output from various commands (as instructed in the Debugging Sound Problems document)
(attached document)

Can someone please help? I don't see many other gateway complaints but I am getting discouraged with several problems.
Thanks in advance
Glady

I've restored sound (wouldn't say fixed) on my Toshiba A100 (with SB450) by installing linux-backports-modules and REMOVING alsa altogether.

Ken Pratt (kenpratt) wrote :

Adding the Dell Precision M6300 to the list of affected computers. It has the aforementioned sound hardware.

reto.koenig (reto-koenig) wrote :

Adding the Dell 1720 (32bit) to the list of affected computers.
Workaround:
1. Install the linux-backport-modules as mentioned before
2. Make the trick via the /etc/modprobe.d/alsa-base
  (options snd-hda-intel model=dell-m42)

apetrelli (antonio-petrelli) wrote :

Adding Asus F3SA to the list. I only checked method A for the moment (that does not work), this evening I will try the other methods.

aleman (nah-corral-hotmail) wrote :

On an HP Pavillion dv6568 sound would not work even after installing alsa 1.0.15.
The only single thing that made sound work was to change model to acer.
I added at the end of /etc/modprobe.d/alsa-base the following line:
options snd-hda-intel model=acer
After a reboot that worked fine.
(Haven't really tried headphones or mic yet though)

Nick Andrik (andrikos) wrote :

I have a Latitude D630 and I followed the method G, but I have these cases:

If I put model=dell-m42 like proposed I don't have the rising volume problem, but the mic is hardly heard.
If I put model=5stack I can have the mic working, but I have the problem that the volume of the central channel starts rising automatically.
Does anyone else have the same problem?

Thanks in advance

Mathieu Marquer (slasher-fun) wrote :

Nick --> Filed as bug 153119 :)

Sound solution for dell vostro 1400:
http://www.linux-on-laptops.com/hosted/Dell-Vostro-1400-Ubuntu-Gutsy.html
(did not test the headphones inserted speaker not shutting down problem)

I've installed linux-backports-modules-2.6.22-14-generic, but still get no audio whatsoever. snd_hda_intel shows up in lsmod. Running gutsy with all recent updates. Verified that channels are turned up and unmuted in alsamixer. Even tried "cat /dev/urandom > /dev/dsp". I've attached some text with various diagnostics (lspci, lsmod, dmesg, etc).

If this bug is invalid, could someone please un-dupe the bugs for the lack of sound on the Aluminum iMac, because the fix for this bug did not fix that.

On Fri, Nov 30, 2007, David Chart wrote:
> If this bug is invalid, could someone please un-dupe the bugs for the
> lack of sound on the Aluminum iMac, because the fix for this bug did not
> fix that.

Check the top of the bug: the 'Invalid' status only applies to one of
the particular components it was filed against.

That said, since the other statuses are 'Fix Released' the Aluminum iMac
probably should be un-duped if the fix didn't work.

They didn't work, which is why I complained at this point. As long as the bug was open against one component, there wasn't a serious problem, but that's no longer the case.

Brian Murray (brian-murray) wrote :

I'm uncertain as to which of the approximately 12 duplicates of this bug report applies to Aluminum iMacs. However, if you would like to unduplicate your bug report you can do this by performing the following steps.

1) Visit the duplicate bugs web page
2) Click on "Mark as duplicate" in the left hand pane
3) Remove the number (131133) that appears there

Dan (dan-pologea) wrote :

I have Dell Latitude D830
1) I've installed linux-backports-modules-2.6.22-14.10 (method G).
3) Made the trick via the /etc/modprobe.d/alsa-base (options snd-hda-intel model=dell-m42)

Results:
1) Sound is working
2) Internal and external mic is not working at all.

What I want:
1) Have at least internal mic working.

Voice recording is critical for me. Thanks.

Omegamormegil (omegamormegil) wrote :

I'd just like to say that sound works perfectly find for me now, in Gutsy, on my Dell Inspiron 1300, after little more than a simple upgrade.

I finally worked up the nerve to try upgrading to Gutsy again - something I haven't wanted to attempt since sound didn't work for me with the Gutsy RC. After upgrading from Feisty, my speakers worked without any fiddling! It took me 10 minutes to get my external mic working - I had to turn up all the capture levels in alsamixer, which defaulted to 0. That got capture working, but anytime I tried to record my voice, the playback sounded like I made the recording standing outside in a high wind. I eventually realized that holding the mic at arm's length produces crystal clear audio capture! Skype works! The capture quality is MUCH clearer and louder than I ever had with Feisty.

As I haven't seen anyone else with an Inspiron 1300 complaining about Gutsy sound, I think I'll take my model off the list.

Thanks to everyone who's been working on this issue!

Maybe you did the same mistake as I did, I have accidentally moved away /lib/modules/2.6.22-14-generic/kernel/sound/soundcore.ko
-- this file is not par of alsa, but of linux-image-2.6.22-14-generic. To get your symbols back, just move soundcore.ko to the original location, in case you lost it altogether, sudo apt-get install --reinstall linux-image-2.6.22-14-generic should also do the trick..

Omegamormegil (omegamormegil) wrote :

Have the people reporting sound problems in Gutsy tested the issues with the new version (which comes out in less than a month)? If not, burn a Hardy beta liveCD, and check to see if your sound works now. Disk images can be downloaded from here: http://www.ubuntu.com/testing/hardy/beta

Mathieu Marquer (slasher-fun) wrote :

No more sound problem using Hardy on Dell Vostro 1500.

Sound works on my Latitude D630, but the volume control is still non-linear. It starts very, very quiet until you get to about 70% and then it SUDDENLY GETS VERY LOUD!

Spheerys (contact-spheerys) wrote :

On my Dell Precision M6300, the sound works well out of the box now.
Thanks :)

Jack (ubuntu-chrisjs) wrote :

Same with Julian Edwards on Inspiron 1525. Up until around 50%, there's little to no sound, while 60% to 100% is decent. Basically, the solved/remaining problems listed in Method G of https://wiki.ubuntu.com/Gutsy_Intel_HD_Audio_Controller appear to be correct under Hardy

Jack (ubuntu-chrisjs) wrote :

Same with Julian Edwards on Inspiron 1525. Up until around 50%, there's little to no sound, while 60% to 100% is decent. Basically, the solved/remaining problems listed in Method G of https://wiki.ubuntu.com/Gutsy_Intel_HD_Audio_Controller appear to be the same under Hardy

Sound on the iMac wasn't fixed in Hardy Beta, but the (separate) bug for that has been marked Fix Released since then, so I'm optimistic. The fix on the wiki (Method I, I think) works, although sound quality still isn't great, and I think the issue was finding a way to autodetect the hardware.

On my Latitude D630 Sound is working too. The nonlinear volume Control appears here too, but this is an other issue. I think.

Hello, thanks for answering my questions before!

Off topic (the topic being sound...), but are desktop effects working on
the Latitude D630? Last time I checked, there was a problem playing
videos with desktop enabled.

Still an issue?

Thanks a bunch!

On Mon, 2008-03-31 at 19:05 +0000, Julian Edwards wrote:
> Sound works on my Latitude D630, but the volume control is still non-
> linear. It starts very, very quiet until you get to about 70% and then
> it SUDDENLY GETS VERY LOUD!
>
--
Alec Henriksen <email address hidden> @ http://alecwh.com

  • unnamed Edit (1.7 KiB, text/html; charset=ISO-8859-1)

Hi Alecwh...i think it's fixed in hardy...
Take a look here:

https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/184720
http://www.realistanew.com/2008/01/12/compiz-updates/#comment244

2008/4/4, alecwh <email address hidden>:
>
> Hello, thanks for answering my questions before!
>
> Off topic (the topic being sound...), but are desktop effects working on
> the Latitude D630? Last time I checked, there was a problem playing
> videos with desktop enabled.
>
> Still an issue?
>
> Thanks a bunch!
>
> On Mon, 2008-03-31 at 19:05 +0000, Julian Edwards wrote:
> > Sound works on my Latitude D630, but the volume control is still non-
> > linear. It starts very, very quiet until you get to about 70% and then
> > it SUDDENLY GETS VERY LOUD!
> >
> --
> Alec Henriksen <email address hidden> @ http://alecwh.com
>
>
> --
> [gutsy] no sound on Dell Latitude D630/D830/Precision M4300/Vostro
> 1500/1700/Apple Aluminium iMac/Acer TM6292 pci id 8086:284b
> https://bugs.launchpad.net/bugs/131133
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

My Dell Inspiron 1520 sound is working properly now. When I plug in a headphone it cuts off the speakerslike it should Nice work folks, Many thanks !

apetrelli (antonio-petrelli) wrote :

My Asus F3SA does not work with Kubuntu Hardy/KDE 4 remix :-(
Anyway, applying the H method, it works:

https://wiki.ubuntu.com/Gutsy_Intel_HD_Audio_Controller

Marco Mariani (birbag) wrote :

I have a Precision M4300, that worked fine under Gutsy after method A (with the headphone jack problem, but sound was ok)

Now I have a fresh install of Hardy in another partition, no sound at all, tried both methods A and G, nothing yet.

If you need more info, I'm here.

alecwh (alecwh) wrote : D630

Reporting from a Latitude D630 running Hardy: Everything looks good,
sound works although the volume buttons are inaccurate (volume
completely inaudible around 65%).

Changed in linux-source-2.6.22:
status: New → Invalid
Changed in linux-backports-modules-2.6.22:
status: New → Fix Released

As noted in bug 147087, the fix that worked for my Aluminium iMac under Gutsy no longer works under Hardy.

alan ezust (alan-ezust) wrote :

Someone please test this with a DELL D630 and an external microphone.
The problem with the older version was that you can plug an external mic but it always uses the internal mic.

Mike (triple-eh) wrote :

This is also an issue with the Acer Aspire 6920G notebook.

I've tried the recommendations at https://wiki.ubuntu.com/Gutsy_Intel_HD_Audio_Controller without success.

Attached are the various outputs of common "diagnostic" commands recommended in the various bug threads I've read regarding no sound.

Let me know how I can further assist with the resolution of this bug.

savantelite (savantelite) wrote :

My dell Lattitude D610 sound worked in Gutsy and intailly worked in intreped but nolonger works with newest kernal, not sure if this goes here or if I should put this in Intrepid?

Make a new bug

savantelite wrote:
> My dell Lattitude D610 sound worked in Gutsy and intailly worked in
> intreped but nolonger works with newest kernal, not sure if this goes
> here or if I should put this in Intrepid?
>
>

--
Mario Limonciello
*Dell | Linux Engineering*
<email address hidden>

richard (richard-lang) wrote :

My hardware: Dell Latitude D830, Audio device: Intel 82801H
Diagnostics: no sound. In particular:
    'asound list' detects no sound card.
     alsamixer complains: snd_ctl_open failed for default: No such file or directory

I tested Ubuntu 8.10 release candidate. The problem is solved. Sound available.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

ethana2 (ethana2) wrote :

Bug present, Ubuntu 9.10 x64, Dell Inspiron 1420N.

Mike Bun (mc143gj) on 2010-07-07
Changed in linux-backports-modules-2.6.22 (Ubuntu):
status: Fix Released → Fix Committed
Changed in dell:
status: Fix Released → Fix Committed
status: Fix Committed → Confirmed
Changed in dell:
status: Confirmed → Fix Released
Changed in linux-backports-modules-2.6.22 (Ubuntu):
status: Fix Committed → Fix Released
Ray Hudson (rhudson) on 2010-08-21
Changed in dell:
status: Fix Released → New
status: New → Fix Released
MINKU (manish2god) on 2010-11-06
Changed in linux-backports-modules-2.6.22 (Ubuntu Gutsy):
assignee: nobody → MINKU (manish2god)
Chris Gregan (cgregan) on 2012-08-09
tags: added: cqa-verified
security vulnerability: no → yes
security vulnerability: yes → no
Changed in somerville:
importance: Undecided → Critical
status: New → Fix Released
no longer affects: dell

The bug task for the somerville project has been removed by an automated script. This bug has been cloned on that project and is available here: https://bugs.launchpad.net/bugs/1305851

no longer affects: somerville
Displaying first 40 and last 40 comments. View all 290 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.